Package: org.apache.groovy.json.internal

## [Java] Class SimpleCache<K, V>

- org.apache.groovy.json.internal.SimpleCache

- All Implemented Interfaces and Traits:
    Cache

      public class SimpleCache

  Authors:
    Richard Hightower

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleCache (int limit, CacheType type)`
    `SimpleCache (int limit)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `V` | `get(K key)`
    `` | `V` | `getSilent(K key)`
    `` | `void` | `put(K key, V value)`
    `` | `void` | `remove(K key)`
    `` | `int` | `size()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public SimpleCache(int limit, CacheType type)

    - #### public SimpleCache(int limit)

  - ### Method Detail

    - #### public V get(K key)

    - #### public V getSilent(K key)

    - #### public void put(K key, V value)

    - #### public void remove(K key)

    - #### public int size()

    - #### public String toString()